AC_ARG_ENABLE([xmldoc],
        [AS_HELP_STRING([--disable-xmldoc],
                [Explicity disable XML documentation])],
        [case "${enableval}" in
                y|ye|yes) disable_xmldoc=no ;;
                n|no)  disable_xmldoc=yes ;;
                *) AC_MSG_ERROR(bad value ${enableval} for --disable-xmldoc)  ;;
        esac], [disable_xmldoc=no])

if test "${disable_xmldoc}" != "yes"; then
        AST_EXT_TOOL_CHECK([LIBXML2], [xml2], , ,
        [#include <libxml/tree.h>
        #include <libxml/parser.h>],
        [LIBXML_TEST_VERSION])
        if test "${PBX_LIBXML2}" != 1; then
                AC_MSG_NOTICE(*** XML documentation will not be available because the 'libxml2' development package is missing.)
                AC_MSG_NOTICE(*** Please run the 'configure' script with the '--disable-xmldoc' parameter option)
                AC_MSG_NOTICE(*** or install the 'libxml2' development package.)
                exit 1
        fi
fi
